Page MenuHomeFreeBSD

science/rdkit: fix build on GCC architectures
ClosedPublic

Authored by pkubaj on Jul 19 2019, 4:05 PM.

Details

Summary

This port needs new GCC to build.

It also adds -mpopcnt to *FLAGS, which breaks build on non-x86. Since it optimizes for the host CPU, don't enable it.

PR: 239299

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Jul 19 2019, 4:05 PM
pkubaj updated this revision to Diff 60292.Jul 30 2019, 4:13 PM

Fix packaging.

pkubaj updated this revision to Diff 60293.Jul 30 2019, 4:14 PM

Correct PLIST_SUB.

tcberner added inline comments.Aug 4 2019, 6:02 PM
science/rdkit/pkg-plist
298 ↗(On Diff #60293)

wouldn't it make more sense to use NON_PPC64 here? as you are not installing them when the architecture is ppc64.

mat added inline comments.Aug 13 2019, 1:19 PM
science/rdkit/Makefile
52–56 ↗(On Diff #60293)

ARCH is defined after bsd.port.options.mk, no need to do the pre/post thing.

pkubaj updated this revision to Diff 60738.Aug 13 2019, 4:16 PM
pkubaj marked an inline comment as done.

Don't include bsd.port.pre.mk, bsd.port.options.mk is enough.

Also the .if is not exclusive to powerpc64, but to all big-endian architectures. Since there's no ports variable for endianness, we need to list all architectures.

pkubaj marked an inline comment as done.Aug 13 2019, 4:17 PM
pkubaj added inline comments.
science/rdkit/pkg-plist
298 ↗(On Diff #60293)

Changed to LE, since the issue is about endianness.

mat accepted this revision.Aug 19 2019, 11:52 AM

"LE" is pretty generic, LITTLE_ENDIAN would probably be better.

This revision is now accepted and ready to land.Aug 19 2019, 11:52 AM
This revision was automatically updated to reflect the committed changes.